#include "CyclicKillerFormSwitchingAbility.h"
#include "Net/UnrealNetwork.h"

void UCyclicKillerFormSwitchingAbility::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UCyclicKillerFormSwitchingAbility, _formSwitchingInteraction);
	DOREPLIFETIME(UCyclicKillerFormSwitchingAbility, _formSwitchingPreviousTransitionInteraction);
	DOREPLIFETIME(UCyclicKillerFormSwitchingAbility, _formSwitchingNextTransitionInteraction);
}

UCyclicKillerFormSwitchingAbility::UCyclicKillerFormSwitchingAbility()
{
	this->_formSwitchingInteractionClass = NULL;
	this->_formSwitchingPreviousTransitionInteractionClass = NULL;
	this->_formSwitchingNextTransitionInteractionClass = NULL;
}
